# Use luajit within openresty, which is compatible with lua 5.1
%global         lua_version             5.1
%{!?lua_pkgdir: %global     lua_pkgdir  %{_datadir}/lua/%{lua_version}}

# Use luajit within openresty to build luarocks
%global         openresty_prefix        %{_usr}/local/openresty
%global         openresty_luajit        %{openresty_prefix}/luajit

Name:           luarocks
Version:        3.5.0
Release:        2
Summary:        A deployment and management system for Lua modules

License:        MIT
URL:            http://luarocks.org
Source0:        http://luarocks.org/releases/luarocks-%{version}.tar.gz
Patch0:         0001-luarocks-3.5.0-dynamic_libdir.patch

BuildArch:      noarch

BuildRequires:  make
BuildRequires:  openresty-openssl111-devel >= 1.1.1h-1
BuildRequires:  openresty >= 1.19.3.1-1

Requires:       unzip
Requires:       zip
Requires:       openresty-openssl111 >= 1.1.1h-1
Requires:       openresty >= 1.19.3.1-1


%description
LuaRocks allows you to install Lua modules as self-contained packages
called "rocks", which also contain version dependency
information. This information is used both during installation, so
that when one rock is requested all rocks it depends on are installed
as well, and at run time, so that when a module is required, the
correct version is loaded. LuaRocks supports both local and remote
repositories, and multiple local rocks trees.


%prep
%autosetup -p1


%build
./configure \
  --prefix=%{_prefix} \
  --lua-version=%{lua_version} \
  --with-lua=%{openresty_luajit}
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_prefix}/lib/luarocks/rocks-%{lua_version}

%check
# TODO - find how to run this without having to pre-download entire rocks tree
# ./test/run_tests.sh


%files
%license COPYING
%doc README.md
%dir %{_sysconfdir}/luarocks
%config(noreplace) %{_sysconfdir}/luarocks/config-%{lua_version}.lua
%{_bindir}/luarocks
%{_bindir}/luarocks-admin
%{_prefix}/lib/luarocks
%{lua_pkgdir}/luarocks


%changelog
* Thu Mar 24 2022 liyanan <liyanan32@huawei.com> - 3.5.0-2
- remove %dist

* Fri Jul 30 2021 Joey Ma <majunjie@apache.org> - 3.5.0-1
- Initial package with 3.5.0, which only suppports openresty luajit for now
